# Fesslix - Stochastic Analysis
# Copyright (C) 2010-2016 Wolfgang Betz
#
# Fesslix is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Fesslix is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 

# - Try to find Fesslix (development)
# Once done this will define
#  FESSLIX_FOUND - System has Fesslix
#  FESSLIX_INCLUDE_DIRS - The Fesslix include directories
#  FESSLIX_LIBRARIES - The libraries needed to use Fesslix
#  FESSLIX_LIB_DIR - The directory containing Fesslix libraries

find_package(PkgConfig)
pkg_check_modules(PC_FESSLIX QUIET liboctave)
#set(LIBXML2_DEFINITIONS ${PC_LIBXML_CFLAGS_OTHER})

find_path(FESSLIX_INCLUDE_DIR "fesslix.h"
          HINTS ${PC_FESSLIX_INCLUDEDIR} ${PC_PC_FESSLIX_INCLUDE_DIRS} $ENV{HOME}/projects/fesslix/src
          PATH_SUFFIXES "fesslix/"
          DOC "Directory of the Fesslix-headers"
          )

FIND_LIBRARY(FESSLIX_LIBRARY_KERNEL flxkernel 
	  HINTS ${PC_FESSLIX_LIBDIR} ${PC_FESSLIX_LIBRARY_DIRS} ${FESSLIX_INCLUDE_DIR} ${FESSLIX_INCLUDE_DIR}/../lib ${FESSLIX_INCLUDE_DIR}/../build/src/ $ENV{HOME}/apps/lib ${FESSLIX_INCLUDE_DIR}/../
	  DOC "Path to library flxkernel.so"
	  )

get_filename_component(FESSLIX_LIB_DIR ${FESSLIX_LIBRARY_KERNEL} DIRECTORY)

#message(STATUS "WOOOL: ${FESSLIX_LIBRARY_KERNEL}")

set(FESSLIX_LIBRARY ${FESSLIX_LIBRARY_KERNEL} )
set(FESSLIX_LIBRARIES ${FESSLIX_LIBRARY} )
set(FESSLIX_INCLUDE_DIRS ${FESSLIX_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Fesslix  DEFAULT_MSG
                                  FESSLIX_LIBRARY FESSLIX_LIB_DIR FESSLIX_INCLUDE_DIR)

mark_as_advanced(
  FESSLIX_INCLUDE_DIR 
  FESSLIX_LIBRARY 
  FESSLIX_LIBRARY_KERNEL
  FESSLIX_LIB_DIR
)

